
<h1 class="title">EXPERIENCIA AL CLIENTE</h1>
<h3 class="subtitle">Las sugerencias y necesidades que tenga nos importan,<br> por favor contáctese con nosotros.</h3>
<!-- 
MAPA  -->

<div class="contenido">


<!-- FORMULARIO  -->
 <div class="container">

  <div class="mapa">
    <iframe width="400" height="600" frameborder="0" id="gmap_canvas" src="https://maps.google.com/maps?width=520&amp;height=400&amp;hl=en&amp;q=Avenida%20Beijing,%20Calle%2023%20de%20Enero%20Cochabamba+(mapa)&amp;t=&amp;z=18&amp;ie=UTF8&amp;iwloc=B&amp;output=embed"></iframe>
  </div>

  <form class="form " [formGroup]="forma" (ngSubmit)="Enviar()">
    <div class="fila">
      <div class="columna">
       <label for="fname" class="lbl">Nombre</label>
      </div>

      <div>
      <input 
        type="text"
        id="fname"
        placeholder="Nombre"
        class="txtbox"
        formControlName="nombre"
        [class.is-invalid]="nombreNoValido"
       
      >
     <small class="text-danger" *ngIf="nombreNoValido">
        Ingrese mas de 3 letras
      </small>
      </div>
    </div>

  

    <div class="fila">
      <div class="columna">
       <label for="flastname" class="lbl">Apellido</label>
      </div>

      <div>
      <input 
        type="text"
        id="flastname"
        placeholder="Apellido"
        class="txtbox"
        formControlName="apellido"
        [class.is-invalid]="apellidoNoValido"
       
      >
      <small class="text-danger" *ngIf="apellidoNoValido">
        Ingrese mas de 3 letras
      </small> 
      </div>
    </div>


    <div class="fila">
      <div class="columna">
       <label for="femail" class="lbl">Email</label>
      </div>

      <div>
      <input 
        type="text"
        id="femail"
        placeholder="Correo Electronico"
        class="txtbox"
        formControlName="correo"
        [class.is-invalid]="correoNoValido" 
      >
      <small class="text-danger" *ngIf="correoNoValido">
        Ingrese un email valido
      </small> 
      </div>
    </div>

    <div class="fila">
      <div class="columna">
       <label for="fmensaje" class="lbl">Mensaje</label>
      </div>

      <div>
        <textarea name="" id="" cols="30" rows="10"
        id="fmensaje"
        placeholder="Introduzca su mensaje"
        class="txtbox"
        formControlName="mensaje"
        [class.is-invalid]="mensajeNoValido"
        >
      <small class="text-danger" *ngIf="mensajeNoValido">
        Por favor introduzca un mensaje
      </small>
    </textarea>
      </div>
    </div> 

  <div class="fila">
      <div class="alinea-btn">
        <button type="submit" class="btn" [disabled]="forma.invalid">Enviar</button>
      </div>
      <div class="enviado">
        {{mensaje}}

      </div>
    </div> 
   </form>
  

</div>

 
</div>


<!-- <hr>
<pre>
  Estado del formulario: {{ forma.valid }}
  <br>
  Status: {{ forma.status }}
</pre>

<pre>
  {{ forma.value | json }}
</pre>
 -->

  
  
      


 







